Index: trunk/src/VBox/Frontends/VirtualBox/src/selector/UISelectorWindow.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/selector/UISelectorWindow.cpp	(revision 62201)
+++ trunk/src/VBox/Frontends/VirtualBox/src/selector/UISelectorWindow.cpp	(revision 62205)
@@ -1633,5 +1633,4 @@
     /* Prepare graphics VM list: */
     m_pPaneChooser = new UIGChooser(this);
-    m_pPaneChooser->setStatusBar(statusBar());
 
     /* Prepare graphics details: */
Index: trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.cpp	(revision 62201)
+++ trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.cpp	(revision 62205)
@@ -40,5 +40,4 @@
     , m_pChooserModel(0)
     , m_pChooserView(0)
-    , m_pStatusBar(0)
 {
     /* Prepare palette: */
@@ -90,18 +89,4 @@
 {
     return m_pChooserModel->isAllItemsOfOneGroupSelected();
-}
-
-void UIGChooser::setStatusBar(QStatusBar *pStatusBar)
-{
-    /* Old status-bar set? */
-    if (m_pStatusBar)
-       m_pChooserModel->disconnect(m_pStatusBar);
-
-    /* Connect new status-bar: */
-    m_pStatusBar = pStatusBar;
-    connect(m_pChooserModel, SIGNAL(sigClearStatusMessage()),
-            m_pStatusBar, SLOT(clearMessage()));
-    connect(m_pChooserModel, SIGNAL(sigShowStatusMessage(const QString&)),
-            m_pStatusBar, SLOT(showMessage(const QString&)));
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.h	(revision 62201)
+++ trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooser.h	(revision 62205)
@@ -71,7 +71,4 @@
     bool isAllItemsOfOneGroupSelected() const;
 
-    /* API: Status-bar stuff: */
-    void setStatusBar(QStatusBar *pStatusBar);
-
     /* API: Group-saving stuff: */
     bool isGroupSavingInProgress() const;
@@ -97,5 +94,4 @@
     UIGChooserModel *m_pChooserModel;
     UIGChooserView *m_pChooserView;
-    QStatusBar *m_pStatusBar;
 };
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.cpp	(revision 62201)
+++ trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.cpp	(revision 62205)
@@ -1144,9 +1144,4 @@
 }
 
-void UIGChooserModel::sltActionHovered(QAction *pAction)
-{
-    emit sigShowStatusMessage(pAction->statusTip());
-}
-
 void UIGChooserModel::sltEraseLookupTimer()
 {
@@ -1246,7 +1241,4 @@
     m_pContextMenuMachine->addSeparator();
     m_pContextMenuMachine->addAction(actionPool()->action(UIActionIndexST_M_Machine_S_SortParent));
-
-    connect(m_pContextMenuGroup, SIGNAL(hovered(QAction*)), this, SLOT(sltActionHovered(QAction*)));
-    connect(m_pContextMenuMachine, SIGNAL(hovered(QAction*)), this, SLOT(sltActionHovered(QAction*)));
 
     connect(actionPool()->action(UIActionIndexST_M_Group_S_New), SIGNAL(triggered()),
@@ -1669,6 +1661,4 @@
         }
     }
-    /* Clear status-bar: */
-    emit sigClearStatusMessage();
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.h	(revision 62201)
+++ trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/chooser/UIGChooserModel.h	(revision 62205)
@@ -62,8 +62,4 @@
 signals:
 
-    /* Notifiers: Status-bar stuff: */
-    void sigShowStatusMessage(const QString &strStatusMessage);
-    void sigClearStatusMessage();
-
     /* Notifier: Current-item stuff: */
     void sigSelectionChanged();
@@ -196,7 +192,4 @@
     void sltCurrentDragObjectDestroyed();
 
-    /* Handler: Context-menu stuff: */
-    void sltActionHovered(QAction *pAction);
-
     /* Handler: Item lookup stuff: */
     void sltEraseLookupTimer();