Index: /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 62364)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 62365)
@@ -1587,23 +1587,24 @@
 {
     QString strResult;
-    /* Reusing translations from 'DetailsElementType': */
     switch (informationElementType)
     {
-        case InformationElementType_General:           strResult = QApplication::translate("VBoxGlobal", "General", "DetailsElementType"); break;
-        case InformationElementType_Preview:           strResult = QApplication::translate("VBoxGlobal", "Preview", "DetailsElementType"); break;
-        case InformationElementType_System:            strResult = QApplication::translate("VBoxGlobal", "System", "DetailsElementType"); break;
-        case InformationElementType_Display:           strResult = QApplication::translate("VBoxGlobal", "Display", "DetailsElementType"); break;
-        case InformationElementType_Storage:           strResult = QApplication::translate("VBoxGlobal", "Storage", "DetailsElementType"); break;
-        case InformationElementType_Audio:             strResult = QApplication::translate("VBoxGlobal", "Audio", "DetailsElementType"); break;
-        case InformationElementType_Network:           strResult = QApplication::translate("VBoxGlobal", "Network", "DetailsElementType"); break;
-        case InformationElementType_Serial:            strResult = QApplication::translate("VBoxGlobal", "Serial ports", "DetailsElementType"); break;
+        case InformationElementType_General:           strResult = QApplication::translate("VBoxGlobal", "General", "InformationElementType"); break;
+        case InformationElementType_Preview:           strResult = QApplication::translate("VBoxGlobal", "Preview", "InformationElementType"); break;
+        case InformationElementType_System:            strResult = QApplication::translate("VBoxGlobal", "System", "InformationElementType"); break;
+        case InformationElementType_Display:           strResult = QApplication::translate("VBoxGlobal", "Display", "InformationElementType"); break;
+        case InformationElementType_Storage:           strResult = QApplication::translate("VBoxGlobal", "Storage", "InformationElementType"); break;
+        case InformationElementType_Audio:             strResult = QApplication::translate("VBoxGlobal", "Audio", "InformationElementType"); break;
+        case InformationElementType_Network:           strResult = QApplication::translate("VBoxGlobal", "Network", "InformationElementType"); break;
+        case InformationElementType_Serial:            strResult = QApplication::translate("VBoxGlobal", "Serial ports", "InformationElementType"); break;
 #ifdef VBOX_WITH_PARALLEL_PORTS
-        case InformationElementType_Parallel:          strResult = QApplication::translate("VBoxGlobal", "Parallel ports", "DetailsElementType"); break;
+        case InformationElementType_Parallel:          strResult = QApplication::translate("VBoxGlobal", "Parallel ports", "InformationElementType"); break;
 #endif /* VBOX_WITH_PARALLEL_PORTS */
-        case InformationElementType_USB:               strResult = QApplication::translate("VBoxGlobal", "USB", "DetailsElementType"); break;
-        case InformationElementType_SF:                strResult = QApplication::translate("VBoxGlobal", "Shared folders", "DetailsElementType"); break;
-        case InformationElementType_UI:                strResult = QApplication::translate("VBoxGlobal", "User interface", "DetailsElementType"); break;
-        case InformationElementType_Description:       strResult = QApplication::translate("VBoxGlobal", "Description", "DetailsElementType"); break;
-        case InformationElementType_RuntimeAttributes: strResult = QApplication::translate("VBoxGlobal", "RuntimeAttributes", "DetailsElementType"); break;
+        case InformationElementType_USB:               strResult = QApplication::translate("VBoxGlobal", "USB", "InformationElementType"); break;
+        case InformationElementType_SharedFolders:     strResult = QApplication::translate("VBoxGlobal", "Shared folders", "InformationElementType"); break;
+        case InformationElementType_UI:                strResult = QApplication::translate("VBoxGlobal", "User interface", "InformationElementType"); break;
+        case InformationElementType_Description:       strResult = QApplication::translate("VBoxGlobal", "Description", "InformationElementType"); break;
+        case InformationElementType_RuntimeAttributes: strResult = QApplication::translate("VBoxGlobal", "Runtime Attributes", "InformationElementType"); break;
+        case InformationElementType_StorageStatistics: strResult = QApplication::translate("VBoxGlobal", "Storage statistics", "InformationElementType"); break;
+        case InformationElementType_NetworkStatistics: strResult = QApplication::translate("VBoxGlobal", "Network Statistics", "InformationElementType"); break;
         default:
         {
@@ -1620,22 +1621,23 @@
     /* Here we have some fancy stuff allowing us
      * to search through the keys using 'case-insensitive' rule: */
-    QStringList keys;                                                                         QList<InformationElementType> values;
-    /* Reusing translations from 'DetailsElementType': */
-    keys << QApplication::translate("VBoxGlobal", "General", "DetailsElementType");           values << InformationElementType_General;
-    keys << QApplication::translate("VBoxGlobal", "Preview", "DetailsElementType");           values << InformationElementType_Preview;
-    keys << QApplication::translate("VBoxGlobal", "System", "DetailsElementType");            values << InformationElementType_System;
-    keys << QApplication::translate("VBoxGlobal", "Display", "DetailsElementType");           values << InformationElementType_Display;
-    keys << QApplication::translate("VBoxGlobal", "Storage", "DetailsElementType");           values << InformationElementType_Storage;
-    keys << QApplication::translate("VBoxGlobal", "Audio", "DetailsElementType");             values << InformationElementType_Audio;
-    keys << QApplication::translate("VBoxGlobal", "Network", "DetailsElementType");           values << InformationElementType_Network;
-    keys << QApplication::translate("VBoxGlobal", "Serial ports", "DetailsElementType");      values << InformationElementType_Serial;
+    QStringList keys;                                                                              QList<InformationElementType> values;
+    keys << QApplication::translate("VBoxGlobal", "General", "InformationElementType");            values << InformationElementType_General;
+    keys << QApplication::translate("VBoxGlobal", "Preview", "InformationElementType");            values << InformationElementType_Preview;
+    keys << QApplication::translate("VBoxGlobal", "System", "InformationElementType");             values << InformationElementType_System;
+    keys << QApplication::translate("VBoxGlobal", "Display", "InformationElementType");            values << InformationElementType_Display;
+    keys << QApplication::translate("VBoxGlobal", "Storage", "InformationElementType");            values << InformationElementType_Storage;
+    keys << QApplication::translate("VBoxGlobal", "Audio", "InformationElementType");              values << InformationElementType_Audio;
+    keys << QApplication::translate("VBoxGlobal", "Network", "InformationElementType");            values << InformationElementType_Network;
+    keys << QApplication::translate("VBoxGlobal", "Serial ports", "InformationElementType");       values << InformationElementType_Serial;
 #ifdef VBOX_WITH_PARALLEL_PORTS
-    keys << QApplication::translate("VBoxGlobal", "Parallel ports", "DetailsElementType");    values << InformationElementType_Parallel;
+    keys << QApplication::translate("VBoxGlobal", "Parallel ports", "InformationElementType");     values << InformationElementType_Parallel;
 #endif /* VBOX_WITH_PARALLEL_PORTS */
-    keys << QApplication::translate("VBoxGlobal", "USB", "DetailsElementType");               values << InformationElementType_USB;
-    keys << QApplication::translate("VBoxGlobal", "Shared folders", "DetailsElementType");    values << InformationElementType_SF;
-    keys << QApplication::translate("VBoxGlobal", "User interface", "DetailsElementType");    values << InformationElementType_UI;
-    keys << QApplication::translate("VBoxGlobal", "Description", "DetailsElementType");       values << InformationElementType_Description;
-    keys << QApplication::translate("VBoxGlobal", "RuntimeAttributes", "DetailsElementType"); values << InformationElementType_RuntimeAttributes;
+    keys << QApplication::translate("VBoxGlobal", "USB", "InformationElementType");                values << InformationElementType_USB;
+    keys << QApplication::translate("VBoxGlobal", "Shared folders", "InformationElementType");     values << InformationElementType_SharedFolders;
+    keys << QApplication::translate("VBoxGlobal", "User interface", "InformationElementType");     values << InformationElementType_UI;
+    keys << QApplication::translate("VBoxGlobal", "Description", "InformationElementType");        values << InformationElementType_Description;
+    keys << QApplication::translate("VBoxGlobal", "Runtime Attributes", "InformationElementType"); values << InformationElementType_RuntimeAttributes;
+    keys << QApplication::translate("VBoxGlobal", "Storage statistics", "InformationElementType"); values << InformationElementType_StorageStatistics;
+    keys << QApplication::translate("VBoxGlobal", "Network Statistics", "InformationElementType"); values << InformationElementType_NetworkStatistics;
     /* Invalid type for unknown words: */
     if (!keys.contains(strInformationElementType, Qt::CaseInsensitive))
@@ -1663,5 +1665,5 @@
 #endif /* VBOX_WITH_PARALLEL_PORTS */
         case InformationElementType_USB:               strResult = "usb"; break;
-        case InformationElementType_SF:                strResult = "sharedFolders"; break;
+        case InformationElementType_SharedFolders:     strResult = "sharedFolders"; break;
         case InformationElementType_UI:                strResult = "userInterface"; break;
         case InformationElementType_Description:       strResult = "description"; break;
@@ -1694,5 +1696,5 @@
 #endif /* VBOX_WITH_PARALLEL_PORTS */
     keys << "usb";                values << InformationElementType_USB;
-    keys << "sharedFolders";      values << InformationElementType_SF;
+    keys << "sharedFolders";      values << InformationElementType_SharedFolders;
     keys << "userInterface";      values << InformationElementType_UI;
     keys << "description";        values << InformationElementType_Description;
@@ -1722,8 +1724,10 @@
 #endif /* VBOX_WITH_PARALLEL_PORTS */
         case InformationElementType_USB:               return UIIconPool::iconSet(":/usb_16px.png");
-        case InformationElementType_SF:                return UIIconPool::iconSet(":/sf_16px.png");
+        case InformationElementType_SharedFolders:     return UIIconPool::iconSet(":/sf_16px.png");
         case InformationElementType_UI:                return UIIconPool::iconSet(":/interface_16px.png");
         case InformationElementType_Description:       return UIIconPool::iconSet(":/description_16px.png");
         case InformationElementType_RuntimeAttributes: return UIIconPool::iconSet(":/state_running_16px.png");
+        case InformationElementType_StorageStatistics: return UIIconPool::iconSet(":/hd_16px.png");
+        case InformationElementType_NetworkStatistics: return UIIconPool::iconSet(":/nw_16px.png");
         default:
         {
Index: /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h	(revision 62364)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h	(revision 62365)
@@ -691,8 +691,7 @@
 #endif /* VBOX_WITH_PARALLEL_PORTS */
     InformationElementType_USB,
-    InformationElementType_SF,
+    InformationElementType_SharedFolders,
     InformationElementType_UI,
     InformationElementType_Description,
-    InformationElementType_SharedFolders,
     InformationElementType_RuntimeAttributes,
     InformationElementType_StorageStatistics,
Index: /trunk/src/VBox/Frontends/VirtualBox/src/runtime/information/UIInformationDataItem.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/runtime/information/UIInformationDataItem.cpp	(revision 62364)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/runtime/information/UIInformationDataItem.cpp	(revision 62365)
@@ -73,6 +73,22 @@
 QVariant UIInformationDataItem::data(const QModelIndex &index, int role) const
 {
-    Q_UNUSED(index);
-    Q_UNUSED(role);
+    switch (role)
+    {
+        case Qt::DisplayRole:
+        {
+            return gpConverter->toString(m_type);
+        }
+        break;
+
+        case Qt::UserRole + 2:
+        {
+            return m_type;
+        }
+        break;
+
+        default:
+        break;
+    }
+
     /* Return null QVariant by default: */
     return QVariant();
@@ -88,10 +104,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("General", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -109,14 +119,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -130,10 +136,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("System", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -208,14 +208,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -229,10 +225,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Display", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -277,14 +267,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -298,9 +284,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Storage");
-        }
-        break;
 
         case Qt::DecorationRole:
@@ -350,14 +331,10 @@
         break;
 
-        case Qt::UserRole+2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -371,10 +348,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Audio");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -398,14 +369,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -419,10 +386,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Network");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -473,14 +434,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -494,10 +451,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Serial Ports");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -536,14 +487,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -558,10 +505,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Parallel Ports", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -589,10 +530,4 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
         default:
         break;
@@ -611,10 +546,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("USB", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -649,14 +578,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -671,10 +596,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Shared Folders", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -695,14 +614,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -721,10 +636,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Runtime Attributes", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -852,14 +761,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -917,10 +822,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Network Statistics", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -951,14 +850,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 
@@ -1022,5 +917,5 @@
 
 UIInformationDataStorageStatistics::UIInformationDataStorageStatistics(const CMachine &machine, const CConsole &console, UIInformationModel *pModel)
-    : UIInformationDataItem(InformationElementType_NetworkStatistics, machine, console, pModel)
+    : UIInformationDataItem(InformationElementType_StorageStatistics, machine, console, pModel)
 {
     /* Storage statistics: */
@@ -1179,5 +1074,5 @@
     }
 
-     m_pTimer = new QTimer(this);
+    m_pTimer = new QTimer(this);
     connect(m_pTimer, SIGNAL(timeout()), this, SLOT(sltProcessStatistics()));
     /* Statistics page update: */
@@ -1190,10 +1085,4 @@
     switch (role)
     {
-        case Qt::DisplayRole:
-        {
-            return tr("Storage Statistics", "details report");
-        }
-        break;
-
         case Qt::DecorationRole:
         {
@@ -1296,15 +1185,10 @@
         break;
 
-        case Qt::UserRole + 2:
-        {
-            return m_type;
-        }
-        break;
-
-        default:
-        break;
-    }
-
-    return QVariant();
+        default:
+        break;
+    }
+
+    /* Call to base-class: */
+    return UIInformationDataItem::data(index, role);
 }
 