Index: /trunk/src/VBox/Main/include/GuestDnDPrivate.h
===================================================================
--- /trunk/src/VBox/Main/include/GuestDnDPrivate.h	(revision 62378)
+++ /trunk/src/VBox/Main/include/GuestDnDPrivate.h	(revision 62379)
@@ -242,5 +242,5 @@
     uint64_t addProcessed(uint32_t cbDataAdd)
     {
-        const uint64_t cbTotal = getTotal();
+        const uint64_t cbTotal = getTotal(); NOREF(cbTotal);
         Assert(cbProcessed + cbDataAdd <= cbTotal);
         cbProcessed += cbDataAdd;
Index: /trunk/src/VBox/Main/include/HGCMObjects.h
===================================================================
--- /trunk/src/VBox/Main/include/HGCMObjects.h	(revision 62378)
+++ /trunk/src/VBox/Main/include/HGCMObjects.h	(revision 62379)
@@ -90,5 +90,5 @@
         uint32_t Handle()
         {
-            return m_core.AvlCore.Key;
+            return (uint32_t)m_core.AvlCore.Key;
         };
 
Index: /trunk/src/VBox/Main/src-client/ConsoleImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/ConsoleImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/ConsoleImpl.cpp	(revision 62379)
@@ -306,5 +306,4 @@
                 BOOL fRemove;
                 pNREv->COMGETTER(Remove)(&fRemove);
-                bool fUdp = (proto == NATProtocol_UDP);
                 Bstr hostIp, guestIp;
                 LONG hostPort, guestPort;
@@ -3909,5 +3908,4 @@
     DeviceType_T lType;
     PCFGMNODE pLunL0 = NULL;
-    PCFGMNODE pCfg = NULL;
 
     hrc = pMediumAtt->COMGETTER(Device)(&lDev);                             H();
@@ -4818,4 +4816,5 @@
     /* Remove keys which are supposed to be removed on a suspend. */
     int rc = m_pKeyStore->deleteAllSecretKeys(true /* fSuspend */, true /* fForce */);
+    AssertRC(rc); NOREF(rc);
 }
 
@@ -7554,5 +7553,5 @@
 
     PUVM     pUVM  = mpUVM;                 Assert(pUVM != NULL);
-    uint32_t cRefs = VMR3RetainUVM(pUVM);   Assert(cRefs != UINT32_MAX);
+    uint32_t cRefs = VMR3RetainUVM(pUVM);   Assert(cRefs != UINT32_MAX);  NOREF(cRefs);
 
     AssertMsg(   mMachineState == MachineState_Running
@@ -8131,5 +8130,5 @@
 
     pFolderName->u16Size   = (uint16_t)cbString;
-    pFolderName->u16Length = (uint16_t)cbString - sizeof(RTUTF16);
+    pFolderName->u16Length = (uint16_t)(cbString - sizeof(RTUTF16));
 
     parms[0].type = VBOX_HGCM_SVC_PARM_PTR;
@@ -8148,5 +8147,5 @@
 
     pMapName->u16Size   = (uint16_t)cbString;
-    pMapName->u16Length = (uint16_t)cbString - sizeof(RTUTF16);
+    pMapName->u16Length = (uint16_t)(cbString - sizeof(RTUTF16));
 
     parms[1].type = VBOX_HGCM_SVC_PARM_PTR;
@@ -8211,5 +8210,5 @@
 
     pMapName->u16Size   = (uint16_t)cbString;
-    pMapName->u16Length = (uint16_t)cbString - sizeof(RTUTF16);
+    pMapName->u16Length = (uint16_t)(cbString - sizeof(RTUTF16));
 
     parms.type = VBOX_HGCM_SVC_PARM_PTR;
@@ -10282,5 +10281,4 @@
 {
     PDRVMAINSTATUS pThis = RT_FROM_MEMBER(pInterface, DRVMAINSTATUS, IMediaNotify);
-    PPDMDRVINS pDrvIns = pThis->pDrvIns;
     LogFunc(("uLUN=%d\n", uLUN));
     if (pThis->pmapMediumAttachments)
Index: /trunk/src/VBox/Main/src-client/ConsoleImpl2.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/ConsoleImpl2.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/ConsoleImpl2.cpp	(revision 62379)
@@ -1702,5 +1702,5 @@
 
                 char szParamName[] = "BootDeviceX";
-                szParamName[sizeof(szParamName) - 2] = ((char (pos - 1)) + '0');
+                szParamName[sizeof(szParamName) - 2] = (char)(pos - 1 + '0');
 
                 const char *pszBootDevice;
@@ -2535,11 +2535,11 @@
             for (uint32_t i = 0; i < 6; ++i)
             {
-                char c1 = *macStr++ - '0';
+                int c1 = *macStr++ - '0';
                 if (c1 > 9)
                     c1 -= 7;
-                char c2 = *macStr++ - '0';
+                int c2 = *macStr++ - '0';
                 if (c2 > 9)
                     c2 -= 7;
-                *pMac++ = ((c1 & 0x0f) << 4) | (c2 & 0x0f);
+                *pMac++ = (char)(((c1 & 0x0f) << 4) | (c2 & 0x0f));
             }
             InsertConfigBytes(pCfg, "MAC", &Mac, sizeof(Mac));
@@ -2598,5 +2598,5 @@
 
                 PCFGMNODE pNetBtDevCfg;
-                achBootIdx[0] = '0' + uBootIdx++;   /* Boot device order. */
+                achBootIdx[0] = (char)('0' + uBootIdx++);   /* Boot device order. */
                 InsertConfigNode(pNetBootCfg, achBootIdx, &pNetBtDevCfg);
                 InsertConfigInteger(pNetBtDevCfg, "NIC", it->mInstance);
@@ -4244,8 +4244,6 @@
     try
     {
-        int rc = VINF_SUCCESS;
         HRESULT hrc;
         Bstr bstr;
-        PCFGMNODE pLunL1 = NULL;
         PCFGMNODE pCfg = NULL;
 
Index: /trunk/src/VBox/Main/src-client/ConsoleVRDPServer.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/ConsoleVRDPServer.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/ConsoleVRDPServer.cpp	(revision 62379)
@@ -2146,5 +2146,5 @@
               pvContext, pvUser, hVideo, u32Id, pvData, cbData));
 
-    ConsoleVRDPServer *pServer = static_cast<ConsoleVRDPServer*>(pvContext);
+    ConsoleVRDPServer *pServer = static_cast<ConsoleVRDPServer*>(pvContext); NOREF(pServer);
     H3DORInstance *p = (H3DORInstance *)pvUser;
     Assert(p);
@@ -3693,8 +3693,8 @@
 {
     VRDEORDERHDR update;
-    update.x = x;
-    update.y = y;
-    update.w = w;
-    update.h = h;
+    update.x = (uint16_t)x;
+    update.y = (uint16_t)y;
+    update.w = (uint16_t)w;
+    update.h = (uint16_t)h;
     if (mpEntryPoints && mhServer)
     {
Index: /trunk/src/VBox/Main/src-client/DisplayImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/DisplayImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/DisplayImpl.cpp	(revision 62379)
@@ -441,5 +441,5 @@
 
     /* First block. */
-    SSMR3PutU32(pSSM, cbThumbnail + 2 * sizeof(uint32_t));
+    SSMR3PutU32(pSSM, (uint32_t)(cbThumbnail + 2 * sizeof(uint32_t)));
     SSMR3PutU32(pSSM, 0); /* Block type: thumbnail. */
 
@@ -452,5 +452,5 @@
 
     /* Second block. */
-    SSMR3PutU32(pSSM, cbPNG + 2 * sizeof(uint32_t));
+    SSMR3PutU32(pSSM, (uint32_t)(cbPNG + 2 * sizeof(uint32_t)));
     SSMR3PutU32(pSSM, 1); /* Block type: png. */
 
@@ -469,6 +469,4 @@
 Display::i_displaySSMLoadScreenshot(PSSMHANDLE pSSM, void *pvUser, uint32_t uVersion, uint32_t uPass)
 {
-    Display *that = static_cast<Display*>(pvUser);
-
     if (uVersion != sSSMDisplayScreenshotVer)
         return VERR_SSM_UNSUPPORTED_DATA_UNIT_VERSION;
@@ -549,4 +547,5 @@
     uint32_t cMonitors;
     int rc = SSMR3GetU32(pSSM, &cMonitors);
+    AssertRCReturn(rc, rc);
     if (cMonitors != that->mcMonitors)
         return SSMR3SetCfgError(pSSM, RT_SRC_POS, N_("Number of monitors changed (%d->%d)!"), cMonitors, that->mcMonitors);
@@ -1373,5 +1372,5 @@
                 pCtl->aParms[0].type = VBOX_HGCM_SVC_PARM_PTR;
                 pCtl->aParms[0].u.pointer.addr = pRectsCopy;
-                pCtl->aParms[0].u.pointer.size = cRect * sizeof(RTRECT);
+                pCtl->aParms[0].u.pointer.size = (uint32_t)(cRect * sizeof(RTRECT));
 
                 rc = i_crCtlSubmit(&pCtl->Hdr, sizeof(*pCtl), i_displayCrCmdFree, pCtl);
@@ -3103,5 +3102,4 @@
         {
             /* No VBVA do a display update. */
-            DISPLAYFBINFO *pFBInfo = &pDisplay->maFramebuffers[VBOX_VIDEO_PRIMARY_SCREEN];
             pDrv->pUpPort->pfnUpdateDisplay(pDrv->pUpPort);
         }
@@ -3115,6 +3113,4 @@
         for (uScreenId = 0; uScreenId < pDisplay->mcMonitors; uScreenId++)
         {
-            DISPLAYFBINFO *pFBInfo = &pDisplay->maFramebuffers[uScreenId];
-
             Assert(pDisplay->mParent && pDisplay->mParent->i_consoleVRDPServer());
             pDisplay->mParent->i_consoleVRDPServer()->SendUpdate(uScreenId, NULL, 0);
@@ -3290,5 +3286,4 @@
 {
     unsigned id = (unsigned)pCommand->iDisplay;
-    int rc = VINF_SUCCESS;
     if (id >= mcMonitors)
         return VERR_INVALID_PARAMETER;
@@ -3586,4 +3581,5 @@
                                   uGuestWidth, uGuestHeight,
                                   pu8BufferAddress, u64TimeStamp);
+    NOREF(rc);
     Assert(rc == VINF_SUCCESS /* || rc == VERR_TRY_AGAIN || rc == VINF_TRY_AGAIN*/);
 # endif
@@ -3848,5 +3844,4 @@
     PDRVMAINDISPLAY pDrv = PDMIDISPLAYCONNECTOR_2_MAINDISPLAY(pInterface);
     Display *pThis = pDrv->pDisplay;
-    DISPLAYFBINFO *pFBInfo = &pThis->maFramebuffers[uScreenId];
 
     if (ASMAtomicReadU32(&pThis->mu32UpdateVBVAFlags) > 0)
@@ -4158,5 +4153,4 @@
 
     PDRVMAINDISPLAY pDrv = PDMIDISPLAYCONNECTOR_2_MAINDISPLAY(pInterface);
-    Display *pThis = pDrv->pDisplay;
 
     uint32_t cbShape = 0;
Index: /trunk/src/VBox/Main/src-client/DisplayImplLegacy.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/DisplayImplLegacy.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/DisplayImplLegacy.cpp	(revision 62379)
@@ -718,6 +718,4 @@
             phdr->h = (uint16_t)h;
 
-            DISPLAYFBINFO *pFBInfo = &maFramebuffers[uScreenId];
-
             /* Handle the command.
              *
Index: /trunk/src/VBox/Main/src-client/DrvAudioVRDE.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/DrvAudioVRDE.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/DrvAudioVRDE.cpp	(revision 62379)
@@ -498,8 +498,8 @@
     VRDEAUDIOFORMAT audioFmt = pVRDEAudioBegin->fmt;
 
-    int iSampleHz  = VRDE_AUDIO_FMT_SAMPLE_FREQ(audioFmt);
-    int cChannels  = VRDE_AUDIO_FMT_CHANNELS(audioFmt);
-    int cBits      = VRDE_AUDIO_FMT_BITS_PER_SAMPLE(audioFmt);
-    bool fUnsigned = VRDE_AUDIO_FMT_SIGNED(audioFmt);
+    int iSampleHz  = VRDE_AUDIO_FMT_SAMPLE_FREQ(audioFmt);     NOREF(iSampleHz);
+    int cChannels  = VRDE_AUDIO_FMT_CHANNELS(audioFmt);        NOREF(cChannels);
+    int cBits      = VRDE_AUDIO_FMT_BITS_PER_SAMPLE(audioFmt); NOREF(cBits);
+    bool fUnsigned = VRDE_AUDIO_FMT_SIGNED(audioFmt);          NOREF(fUnsigned);
 
     LogFlowFunc(("cbSample=%RU32, iSampleHz=%d, cChannels=%d, cBits=%d, fUnsigned=%RTbool\n",
Index: /trunk/src/VBox/Main/src-client/GuestDnDTargetImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/GuestDnDTargetImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/GuestDnDTargetImpl.cpp	(revision 62379)
@@ -91,4 +91,5 @@
     {
         int vrc = GuestDnDTarget::i_sendDataThread(*m_pThread, this);
+        NOREF(vrc);
     }
 
Index: /trunk/src/VBox/Main/src-client/GuestSessionImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/GuestSessionImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/GuestSessionImpl.cpp	(revision 62379)
@@ -292,6 +292,4 @@
     LogFlowThisFuncEnter();
 
-    int rc = VINF_SUCCESS;
-
     AutoWriteLock alock(this COMMA_LOCKVAL_SRC_POS);
 
@@ -345,5 +343,5 @@
     baseUninit();
 
-    LogFlowFuncLeaveRC(rc);
+    LogFlowFuncLeave();
 }
 
@@ -1744,5 +1742,4 @@
     LogFlowThisFuncEnter();
 
-    HRESULT hr = S_OK;
     int vrc = VINF_SUCCESS;
 
@@ -1761,6 +1758,5 @@
          * worker thread. */
         //this function delete pTask in case of exceptions, so there is no need in the call of delete operator
-        hr = pTask->createThread();
-
+        HRESULT hrc = pTask->createThread();
     }
     catch(std::bad_alloc &)
Index: /trunk/src/VBox/Main/src-client/MachineDebuggerImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/MachineDebuggerImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/MachineDebuggerImpl.cpp	(revision 62379)
@@ -1313,5 +1313,5 @@
                             ssize_t cch = DBGFR3RegFormatValue(szHex, sizeof(szHex), &paRegs[iReg].Val,
                                                                paRegs[iReg].enmType, true /*fSpecial*/);
-                            Assert(cch > 0);
+                            Assert(cch > 0); NOREF(cch);
                             aNames[iReg] = Utf8Str(paRegs[iReg].pszName);
                             aValues[iReg] = Utf8Str(szHex);
Index: /trunk/src/VBox/Main/src-client/MouseImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/MouseImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/MouseImpl.cpp	(revision 62379)
@@ -1009,6 +1009,6 @@
                 if (fValid)
                 {
-                    uint8_t fu8 =   (fInContact? 0x01: 0x00)
-                                  | (fInRange?   0x02: 0x00);
+                    uint8_t fu8 = (uint8_t)(  (fInContact? 0x01: 0x00)
+                                            | (fInRange?   0x02: 0x00));
                     pau64Contacts[cContacts] = RT_MAKE_U64_FROM_U16((uint16_t)xAdj,
                                                                     (uint16_t)yAdj,
Index: /trunk/src/VBox/Main/src-client/PCIRawDevImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/PCIRawDevImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/PCIRawDevImpl.cpp	(revision 62379)
@@ -79,5 +79,5 @@
 
     HRESULT hrc = machine->COMGETTER(Parent)(vbox.asOutParam());
-    Assert(SUCCEEDED(hrc));
+    Assert(SUCCEEDED(hrc)); NOREF(hrc);
 
     ComPtr<IEventSource> es;
@@ -98,5 +98,5 @@
         msg = BstrFmt("runtime error %Rrc", rc);
 
-    fireHostPCIDevicePlugEvent(es, bstrId.raw(), true /* plugged */, RT_SUCCESS(rc) /* success */, pda, msg.raw());
+    fireHostPCIDevicePlugEvent(es, bstrId.raw(), true /* plugged */, RT_SUCCESS_NP(rc) /* success */, pda, msg.raw());
 
     return VINF_SUCCESS;
Index: /trunk/src/VBox/Main/src-client/RemoteUSBDeviceImpl.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/RemoteUSBDeviceImpl.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/RemoteUSBDeviceImpl.cpp	(revision 62379)
@@ -79,5 +79,5 @@
 
     unconst(mData.port)         = pDevDesc->idPort;
-    unconst(mData.version)      = pDevDesc->bcdUSB >> 8;
+    unconst(mData.version)      = (uint16_t)(pDevDesc->bcdUSB >> 8);
     if (fDescExt)
     {
@@ -117,5 +117,5 @@
 
     mData.dirty                  = false;
-    unconst(mData.devId)        = pDevDesc->id;
+    unconst(mData.devId)        = (uint16_t)pDevDesc->id;
 
     unconst(mData.clientId)     = u32ClientId;
Index: /trunk/src/VBox/Main/src-client/UsbCardReader.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/UsbCardReader.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/UsbCardReader.cpp	(revision 62379)
@@ -432,5 +432,5 @@
     LogFlowFunc(("ENTER: pvUser:%p\n",
                  pvUser));
-    PUSBCARDREADER pThis = RT_FROM_MEMBER(pInterface, USBCARDREADER, ICardReaderDown);
+    PUSBCARDREADER pThis = RT_FROM_MEMBER(pInterface, USBCARDREADER, ICardReaderDown); NOREF(pThis);
     int rc = VERR_NOT_SUPPORTED;
     AssertRC(rc);
@@ -446,5 +446,5 @@
     LogFlowFunc(("ENTER: pvUser:%p, u32Disposition:%RX32\n",
                  pvUser, u32Disposition));
-    PUSBCARDREADER pThis = RT_FROM_MEMBER(pInterface, USBCARDREADER, ICardReaderDown);
+    PUSBCARDREADER pThis = RT_FROM_MEMBER(pInterface, USBCARDREADER, ICardReaderDown); NOREF(pThis);
     int rc = VERR_NOT_SUPPORTED;
     AssertRC(rc);
@@ -745,5 +745,5 @@
         case VRDE_SCARD_NOTIFY_DETACH:
         {
-            VRDESCARDNOTIFYDETACH *p = (VRDESCARDNOTIFYDETACH *)pvData;
+            VRDESCARDNOTIFYDETACH *p = (VRDESCARDNOTIFYDETACH *)pvData; NOREF(p);
             Assert(cbData == sizeof(VRDESCARDNOTIFYDETACH));
 
@@ -831,6 +831,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDRELEASECONTEXTRSP) || RT_FAILURE(rcRequest));
-            VRDESCARDRELEASECONTEXTRSP *pRsp = (VRDESCARDRELEASECONTEXTRSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDRELEASECONTEXTRSP *pRsp = (VRDESCARDRELEASECONTEXTRSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -903,6 +903,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDCANCELRSP) || RT_FAILURE(rcRequest));
-            VRDESCARDCANCELRSP *pRsp = (VRDESCARDCANCELRSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDCANCELRSP *pRsp = (VRDESCARDCANCELRSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -953,6 +953,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDRECONNECTRSP) || RT_FAILURE(rcRequest));
-            VRDESCARDRECONNECTRSP *pRsp = (VRDESCARDRECONNECTRSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDRECONNECTRSP *pRsp = (VRDESCARDRECONNECTRSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -994,6 +994,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDBEGINTRANSACTIONRSP) || RT_FAILURE(rcRequest));
-            VRDESCARDBEGINTRANSACTIONRSP *pRsp = (VRDESCARDBEGINTRANSACTIONRSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDBEGINTRANSACTIONRSP *pRsp = (VRDESCARDBEGINTRANSACTIONRSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -1005,6 +1005,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDENDTRANSACTIONRSP) || RT_FAILURE(rcRequest));
-            VRDESCARDENDTRANSACTIONRSP *pRsp = (VRDESCARDENDTRANSACTIONRSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDENDTRANSACTIONRSP *pRsp = (VRDESCARDENDTRANSACTIONRSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -1016,6 +1016,6 @@
         {
             Assert(cbData == sizeof(VRDESCARDSTATERSP) || RT_FAILURE(rcRequest));
-            VRDESCARDSTATERSP *pRsp = (VRDESCARDSTATERSP *)pvData;
-            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser;
+            VRDESCARDSTATERSP *pRsp = (VRDESCARDSTATERSP *)pvData; NOREF(pRsp);
+            UCRREQCTX *pCtx = (UCRREQCTX *)pvUser; NOREF(pCtx);
 
             Assert(pCtx->u32Function == u32Function);
@@ -1578,5 +1578,5 @@
         req.ioSendPci.u32Protocol = pioSendRequest->u32Protocol;
         req.ioSendPci.u32PciLength = pioSendRequest->cbPciLength < 2 * sizeof(uint32_t)?
-                                         2 * sizeof(uint32_t):
+                                         (uint32_t)(2 * sizeof(uint32_t)):
                                          pioSendRequest->cbPciLength;
         Assert(pioSendRequest->cbPciLength <= VRDE_SCARD_MAX_PCI_DATA + 2 * sizeof(uint32_t));
Index: /trunk/src/VBox/Main/src-client/UsbWebcamInterface.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/UsbWebcamInterface.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/UsbWebcamInterface.cpp	(revision 62379)
@@ -215,5 +215,5 @@
         case VRDE_VIDEOIN_NOTIFY_ID_DETACH:
         {
-            VRDEVIDEOINNOTIFYDETACH *p = (VRDEVIDEOINNOTIFYDETACH *)pvData;
+            VRDEVIDEOINNOTIFYDETACH *p = (VRDEVIDEOINNOTIFYDETACH *)pvData; NOREF(p);
             Assert(cbData == sizeof(VRDEVIDEOINNOTIFYDETACH));
 
@@ -272,5 +272,5 @@
                                  const VRDEVIDEOINCTRLHDR *pControl, uint32_t cbControl)
 {
-    EMWEBCAMREMOTE *pRemote = (EMWEBCAMREMOTE *)pDeviceCtx;
+    EMWEBCAMREMOTE *pRemote = (EMWEBCAMREMOTE *)pDeviceCtx; NOREF(pRemote);
     Assert(pRemote == mpRemote);
 
Index: /trunk/src/VBox/Main/src-client/VMMDevInterface.cpp
===================================================================
--- /trunk/src/VBox/Main/src-client/VMMDevInterface.cpp	(revision 62378)
+++ /trunk/src/VBox/Main/src-client/VMMDevInterface.cpp	(revision 62379)
@@ -535,5 +535,4 @@
     PDRVMAINVMMDEV pDrv = RT_FROM_MEMBER(pInterface, DRVMAINVMMDEV, Connector);
     Console *pConsole = pDrv->pVMMDev->getParent();
-    BOOL           val = 0;
 
     if (!pfPageFusionEnabled)