Index: trunk/src/VBox/Runtime/generic/RTPathIsSame-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/RTPathIsSame-generic.cpp	(revision 62436)
+++ trunk/src/VBox/Runtime/generic/RTPathIsSame-generic.cpp	(revision 62448)
@@ -52,21 +52,24 @@
      * If the files exist, try use the attributes.
      */
-    RTFSOBJINFO ObjInfo1, ObjInfo2;
+    RTFSOBJINFO ObjInfo1;
     int rc = RTPathQueryInfoEx(pszPath1, &ObjInfo1, RTFSOBJATTRADD_UNIX, RTPATH_F_ON_LINK);
     if (RT_SUCCESS(rc))
+    {
+        RTFSOBJINFO ObjInfo2;
         rc = RTPathQueryInfoEx(pszPath2, &ObjInfo2, RTFSOBJATTRADD_UNIX, RTPATH_F_ON_LINK);
-    if (RT_SUCCESS(rc))
-    {
-        if ((ObjInfo1.Attr.fMode & RTFS_TYPE_MASK) != (ObjInfo2.Attr.fMode & RTFS_TYPE_MASK))
-            return false;
-        if (ObjInfo1.Attr.u.Unix.INodeIdDevice       != ObjInfo2.Attr.u.Unix.INodeIdDevice)
-            return false;
-        if (ObjInfo1.Attr.u.Unix.INodeId             != ObjInfo2.Attr.u.Unix.INodeId)
-            return false;
-        if (ObjInfo1.Attr.u.Unix.GenerationId        != ObjInfo2.Attr.u.Unix.GenerationId)
-            return false;
-        if (   ObjInfo1.Attr.u.Unix.INodeIdDevice != 0
-            && ObjInfo1.Attr.u.Unix.INodeId       != 0)
-            return true;
+        if (RT_SUCCESS(rc))
+        {
+            if ((ObjInfo1.Attr.fMode & RTFS_TYPE_MASK) != (ObjInfo2.Attr.fMode & RTFS_TYPE_MASK))
+                return false;
+            if (ObjInfo1.Attr.u.Unix.INodeIdDevice       != ObjInfo2.Attr.u.Unix.INodeIdDevice)
+                return false;
+            if (ObjInfo1.Attr.u.Unix.INodeId             != ObjInfo2.Attr.u.Unix.INodeId)
+                return false;
+            if (ObjInfo1.Attr.u.Unix.GenerationId        != ObjInfo2.Attr.u.Unix.GenerationId)
+                return false;
+            if (   ObjInfo1.Attr.u.Unix.INodeIdDevice != 0
+                && ObjInfo1.Attr.u.Unix.INodeId       != 0)
+                return true;
+        }
     }
 
Index: trunk/src/VBox/Runtime/generic/critsectrw-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/critsectrw-generic.cpp	(revision 62436)
+++ trunk/src/VBox/Runtime/generic/critsectrw-generic.cpp	(revision 62448)
@@ -575,4 +575,5 @@
         uint32_t cNestings = ASMAtomicIncU32(&pThis->cWriteRecursions); NOREF(cNestings);
 
+#ifdef IPRT_WITH_DTRACE
         if (IPRT_CRITSECTRW_EXCL_ENTERED_ENABLED())
         {
@@ -582,4 +583,5 @@
                                          (uint32_t)((u64State & RTCSRW_CNT_WR_MASK) >> RTCSRW_CNT_WR_SHIFT));
         }
+#endif
         return VINF_SUCCESS;
     }
@@ -879,4 +881,5 @@
 #endif
         uint32_t cNestings = ASMAtomicDecU32(&pThis->cWriteRecursions); NOREF(cNestings);
+#ifdef IPRT_WITH_DTRACE
         if (IPRT_CRITSECTRW_EXCL_LEAVING_ENABLED())
         {
@@ -886,4 +889,5 @@
                                          (uint32_t)((u64State & RTCSRW_CNT_WR_MASK) >> RTCSRW_CNT_WR_SHIFT));
         }
+#endif
     }
 
Index: trunk/src/VBox/Runtime/generic/env-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/env-generic.cpp	(revision 62436)
+++ trunk/src/VBox/Runtime/generic/env-generic.cpp	(revision 62448)
@@ -235,5 +235,5 @@
     const char * const *papszEnv;
 #ifdef RTENV_HAVE_WENVIRON
-    PCRTUTF16 const * papwszEnv;
+    PCRTUTF16 const * papwszEnv = NULL;
 #endif
     PRTENVINTERNAL pIntEnvToClone;
Index: trunk/src/VBox/Runtime/generic/semrw-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/semrw-generic.cpp	(revision 62436)
+++ trunk/src/VBox/Runtime/generic/semrw-generic.cpp	(revision 62448)
@@ -203,5 +203,5 @@
              */
             ASMAtomicWriteU32(&pThis->u32Magic, ~RTSEMRW_MAGIC);
-            pThis->cReads = ~0;
+            pThis->cReads = UINT32_MAX;
 
             /*
Index: trunk/src/VBox/Runtime/generic/timerlr-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/timerlr-generic.cpp	(revision 62436)
+++ trunk/src/VBox/Runtime/generic/timerlr-generic.cpp	(revision 62448)
@@ -262,5 +262,5 @@
         ASMAtomicWriteU64(&pThis->u64NextTS, u64Now);
         ASMAtomicWriteU64(&pThis->u64NanoInterval, u64NanoInterval);
-        int rc = RTSemEventSignal(pThis->hEvent);
+        RTSemEventSignal(pThis->hEvent);
     }
 