Index: trunk/src/VBox/Devices/BiosCommonCode/MakeAlternativeSource.cpp
===================================================================
--- trunk/src/VBox/Devices/BiosCommonCode/MakeAlternativeSource.cpp	(revision 62449)
+++ trunk/src/VBox/Devices/BiosCommonCode/MakeAlternativeSource.cpp	(revision 62450)
@@ -338,4 +338,5 @@
 
 
+#if 0 /* unused */
 /**
  * Checks if a dword could be a far 16:16 BIOS address.
@@ -356,4 +357,5 @@
     return true;
 }
+#endif
 
 
Index: trunk/src/VBox/ValidationKit/bootsectors/bs3kit/VBoxBs3ObjConverter.cpp
===================================================================
--- trunk/src/VBox/ValidationKit/bootsectors/bs3kit/VBoxBs3ObjConverter.cpp	(revision 62449)
+++ trunk/src/VBox/ValidationKit/bootsectors/bs3kit/VBoxBs3ObjConverter.cpp	(revision 62450)
@@ -162,5 +162,4 @@
     remove(pszFile);
 
-    int rc = -1;
     FILE *pFile = openfile(pszFile, true);
     if (pFile)
@@ -1028,4 +1027,5 @@
 }
 
+#if 0 /* unused */
 /**
  * LEDATA + FIXUPP - Adds a byte to the LEDATA record, splitting if needed.
@@ -1041,4 +1041,5 @@
     return false;
 }
+#endif
 
 /**
@@ -1933,8 +1934,4 @@
     if (omfWriter_BeginModule(pThis, pszFile))
     {
-        Elf64_Ehdr const *pEhdr     = (Elf64_Ehdr const *)pbFile;
-        Elf64_Shdr const *paShdrs   = (Elf64_Shdr const *)&pbFile[pEhdr->e_shoff];
-        const char       *pszStrTab = (const char *)&pbFile[paShdrs[pEhdr->e_shstrndx].sh_offset];
-
         if (   convertElfSectionsToSegDefsAndGrpDefs(pThis, &ElfStuff)
             && convertElfSymbolsToPubDefsAndExtDefs(pThis, &ElfStuff)
@@ -3620,6 +3617,4 @@
     {
         Elf64_Ehdr const *pEhdr     = (Elf64_Ehdr const *)pbFile;
-        Elf64_Shdr const *paShdrs   = (Elf64_Shdr const *)&pbFile[pEhdr->e_shoff];
-        const char       *pszStrTab = (const char *)&pbFile[paShdrs[pEhdr->e_shstrndx].sh_offset];
 
         if (   convertMachOSectionsToSegDefsAndGrpDefs(pThis, &MachOStuff)
@@ -4586,5 +4581,4 @@
 
     /* Begin and write the CV version signature. */
-    uint32_t const  cbMaxChunk = RT_ALIGN(OMF_MAX_RECORD_PAYLOAD - 1 - 16, 4); /* keep the data dword aligned */
     if (   !omfWriter_LEDataBegin(pThis, pOmfStuff->iSymbolsSeg, 0)
         || !omfWriter_LEDataAddU32(pThis, RTCVSYMBOLS_SIGNATURE_CV8))
Index: trunk/src/bldprogs/VBoxCPP.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCPP.cpp	(revision 62449)
+++ trunk/src/bldprogs/VBoxCPP.cpp	(revision 62450)
@@ -1113,4 +1113,5 @@
 
 
+#if 0 /* unused */
 /**
  * Skips white spaces, including escaped new-lines.
@@ -1141,4 +1142,5 @@
     }
 }
+#endif
 
 
@@ -1263,5 +1265,5 @@
 {
     size_t offSaved = ScmStreamTell(pStrmInput);
-    RTEXITCODE rcExit = vbcppProcessSkipWhiteEscapedEolAndComments(pThis, pStrmInput);
+    /*RTEXITCODE rcExit =*/ vbcppProcessSkipWhiteEscapedEolAndComments(pThis, pStrmInput);
     unsigned ch = ScmStreamPeekCh(pStrmInput);
     if (ch == '(')
@@ -2292,5 +2294,5 @@
     PSCMSTREAM pStrmInput = pExp->pStrmInput;
     size_t     offSaved   = ScmStreamTell(pStrmInput);
-    RTEXITCODE rcExit     = vbcppProcessSkipWhiteEscapedEolAndComments(pThis, pStrmInput);
+    /*RTEXITCODE rcExit = */ vbcppProcessSkipWhiteEscapedEolAndComments(pThis, pStrmInput);
     unsigned ch = ScmStreamPeekCh(pStrmInput);
     if (ch == '(')
@@ -2381,5 +2383,4 @@
 {
     RTEXITCODE  rcExit        = RTEXITCODE_SUCCESS;
-    size_t      cReplacements = 0;
     size_t      off           = 0;
     unsigned    ch;
@@ -3454,5 +3455,5 @@
             break;
         case '>':
-            enmOp = kVBCppBinary_GreaterThan; break;
+            enmOp = kVBCppBinary_GreaterThan;
             if (pParser->pszCur[1] == '=')
             {
@@ -3779,5 +3780,6 @@
 static VBCPPEXPRRET vbcppExprParseCharacterConstant(PVBCPPEXPRPARSER pParser)
 {
-    char ch  = *pParser->pszCur++;
+    Assert(*pParser->pszCur == '\'');
+    pParser->pszCur++;
     char ch2 = *pParser->pszCur++;
     if (ch2 == '\'')
@@ -4833,5 +4835,4 @@
             pchFileSpec = pchFilename = ScmStreamGetCur(pStrmInput);
             unsigned chEnd  = chType == '<' ? '>' : '"';
-            unsigned chPrev = ch;
             while (   (ch = ScmStreamGetCh(pStrmInput)) != ~(unsigned)0
                    &&  ch != chEnd)
Index: trunk/src/bldprogs/VBoxTpG.cpp
===================================================================
--- trunk/src/bldprogs/VBoxTpG.cpp	(revision 62449)
+++ trunk/src/bldprogs/VBoxTpG.cpp	(revision 62450)
@@ -1021,6 +1021,4 @@
         RTListForEach(&pProv->ProbeHead, pProbe, VTGPROBE, ListEntry)
         {
-            PVTGARG const pFirstArg = RTListGetFirst(&pProbe->ArgHead, VTGARG, ListEntry);
-
             ScmStreamPrintf(pStrm,
                             "extern uint32_t const volatile g_cVTGProbeEnabled_%s_%s;\n"
@@ -1202,6 +1200,4 @@
         RTListForEach(&pProv->ProbeHead, pProbe, VTGPROBE, ListEntry)
         {
-            PVTGARG const pFirstArg = RTListGetFirst(&pProbe->ArgHead, VTGARG, ListEntry);
-
             generateProbeDefineName(szTmp, sizeof(szTmp), pProv->pszName, pProbe->pszMangledName);
             ScmStreamPrintf(pStrm,