Index: trunk/src/VBox/Disassembler/DisasmFormatYasm.cpp
===================================================================
--- trunk/src/VBox/Disassembler/DisasmFormatYasm.cpp	(revision 62451)
+++ trunk/src/VBox/Disassembler/DisasmFormatYasm.cpp	(revision 62452)
@@ -1130,4 +1130,5 @@
                         PUT_SIZE_OVERRIDE();
                         PUT_SEGMENT_OVERRIDE();
+                        off = 0;
                         int rc = VERR_SYMBOL_NOT_FOUND;
                         switch (pParam->fUse & (DISUSE_IMMEDIATE_ADDR_16_16 | DISUSE_IMMEDIATE_ADDR_16_32 | DISUSE_DISPLACEMENT64 | DISUSE_DISPLACEMENT32 | DISUSE_DISPLACEMENT16))
@@ -1178,4 +1179,5 @@
                         PUT_C('[');
                         PUT_SEGMENT_OVERRIDE();
+                        off = 0;
                         int rc = VERR_SYMBOL_NOT_FOUND;
                         switch (pParam->fUse & (DISUSE_IMMEDIATE_ADDR_16_16 | DISUSE_IMMEDIATE_ADDR_16_32 | DISUSE_DISPLACEMENT64 | DISUSE_DISPLACEMENT32 | DISUSE_DISPLACEMENT16))
Index: trunk/src/VBox/Runtime/common/log/log.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/log/log.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/common/log/log.cpp	(revision 62452)
@@ -2387,5 +2387,5 @@
                     {
                         int rc = RTStrCopyEx(szTmp, sizeof(szTmp), pszValue, cch);
-                        uint32_t cbRingBuf;
+                        uint32_t cbRingBuf = 0;
                         if (RT_SUCCESS(rc))
                             rc = RTStrToUInt32Full(szTmp, 0, &cbRingBuf);
Index: trunk/src/VBox/Runtime/common/string/strcache.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/string/strcache.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/common/string/strcache.cpp	(revision 62452)
@@ -850,5 +850,5 @@
     {
         uint32_t cRefs = ASMAtomicIncU32(&pEntry->cRefs);
-        Assert(cRefs < UINT32_MAX / 2);
+        Assert(cRefs < UINT32_MAX / 2); NOREF(cRefs);
     }
     else
Index: trunk/src/VBox/Runtime/common/zip/tar.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/zip/tar.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/common/zip/tar.cpp	(revision 62452)
@@ -243,5 +243,5 @@
     if (pInt->hVfsFss != NIL_RTVFSFSSTREAM)
     {
-        uint32_t cRefs = RTVfsFsStrmRelease(pInt->hVfsFss); Assert(cRefs != UINT32_MAX);
+        uint32_t cRefs = RTVfsFsStrmRelease(pInt->hVfsFss); Assert(cRefs != UINT32_MAX); NOREF(cRefs);
         pInt->hVfsFss  = NIL_RTVFSFSSTREAM;
     }
@@ -249,5 +249,5 @@
     if (pInt->hVfsFile != NIL_RTVFSFILE)
     {
-        uint32_t cRefs = RTVfsFileRelease(pInt->hVfsFile); Assert(cRefs != UINT32_MAX);
+        uint32_t cRefs = RTVfsFileRelease(pInt->hVfsFile); Assert(cRefs != UINT32_MAX); NOREF(cRefs);
         pInt->hVfsFile = NIL_RTVFSFILE;
     }
@@ -362,5 +362,5 @@
             if (pInt->hVfsFss != NIL_RTVFSFSSTREAM)
             {
-                uint32_t cRefs = RTVfsFsStrmRelease(pInt->hVfsFss); Assert(cRefs != UINT32_MAX);
+                uint32_t cRefs = RTVfsFsStrmRelease(pInt->hVfsFss); Assert(cRefs != UINT32_MAX); NOREF(cRefs);
                 pInt->hVfsFss  = NIL_RTVFSFSSTREAM;
             }
Index: trunk/src/VBox/Runtime/r3/memsafer-r3.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/memsafer-r3.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/memsafer-r3.cpp	(revision 62452)
@@ -161,5 +161,5 @@
     bool fRc = RTAvlPVInsert(&g_pMemSaferTree, &pThis->Core);
     RTCritSectRwLeaveExcl(&g_MemSaferCritSect);
-    Assert(fRc);
+    Assert(fRc); NOREF(fRc);
 }
 
Index: trunk/src/VBox/Runtime/r3/win/allocex-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/allocex-win.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/win/allocex-win.cpp	(revision 62452)
@@ -116,5 +116,5 @@
 {
     BOOL fRc = VirtualFree(pv, cb, MEM_RELEASE);
-    Assert(fRc);
+    Assert(fRc); NOREF(fRc);
 }
 
Index: trunk/src/VBox/Runtime/r3/win/localipc-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/localipc-win.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/win/localipc-win.cpp	(revision 62452)
@@ -455,5 +455,5 @@
 {
     uint32_t cRefs = ASMAtomicIncU32(&pThis->cRefs);
-    Assert(cRefs < UINT32_MAX / 2 && cRefs);
+    Assert(cRefs < UINT32_MAX / 2 && cRefs); NOREF(cRefs);
 }
 
@@ -903,5 +903,5 @@
 {
     uint32_t cRefs = ASMAtomicIncU32(&pThis->cRefs);
-    Assert(cRefs < UINT32_MAX / 2 && cRefs);
+    Assert(cRefs < UINT32_MAX / 2 && cRefs); NOREF(cRefs);
 }
 
@@ -1531,5 +1531,5 @@
                         break;
                     }
-                    BOOL fRc = ResetEvent(pThis->Read.OverlappedIO.hEvent); Assert(fRc == TRUE);
+                    BOOL fRc = ResetEvent(pThis->Read.OverlappedIO.hEvent); Assert(fRc == TRUE); NOREF(fRc);
                     DWORD cbRead = 0;
                     if (ReadFile(pThis->hNmPipe, pThis->abBuf, 0 /*cbToRead*/, &cbRead, &pThis->Read.OverlappedIO))
Index: trunk/src/VBox/Runtime/r3/win/process-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/process-win.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/win/process-win.cpp	(revision 62452)
@@ -2253,5 +2253,5 @@
      * Create the command line and convert the executable name.
      */
-    PRTUTF16 pwszCmdLine;
+    PRTUTF16 pwszCmdLine = NULL; /* Shut up, MSC! */
     if (RT_SUCCESS(rc))
         rc = RTGetOptArgvToUtf16String(&pwszCmdLine, papszArgs,
@@ -2498,5 +2498,5 @@
 
     BOOL fRc = GetProcessAffinityMask(GetCurrentProcess(), &dwProcessAffinityMask, &dwSystemAffinityMask);
-    Assert(fRc);
+    Assert(fRc); NOREF(fRc);
 
     return dwProcessAffinityMask;
Index: trunk/src/VBox/Runtime/r3/win/semevent-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/semevent-win.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/win/semevent-win.cpp	(revision 62452)
@@ -220,6 +220,4 @@
 RTDECL(int)   RTSemEventWaitNoResume(RTSEMEVENT hEventSem, RTMSINTERVAL cMillies)
 {
-    PCRTLOCKVALSRCPOS pSrcPos = NULL;
-
     /*
      * Validate input.
@@ -243,5 +241,5 @@
         if (rc != WAIT_TIMEOUT || cMillies == 0)
             return rtSemEventWaitHandleStatus(pThis, rc);
-        int rc9 = RTLockValidatorRecSharedCheckBlocking(&pThis->Signallers, hThreadSelf, pSrcPos, false,
+        int rc9 = RTLockValidatorRecSharedCheckBlocking(&pThis->Signallers, hThreadSelf, NULL /*pSrcPos*/, false,
                                                         cMillies, RTTHREADSTATE_EVENT, true);
         if (RT_FAILURE(rc9))
Index: trunk/src/VBox/Runtime/r3/win/timer-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/timer-win.cpp	(revision 62451)
+++ trunk/src/VBox/Runtime/r3/win/timer-win.cpp	(revision 62452)
@@ -243,5 +243,5 @@
              * Rearm the timer handler.
              */
-#ifdef USE_CATCH_UP
+# ifdef USE_CATCH_UP
             pTimer->llNext.QuadPart += NSInterval;
             LARGE_INTEGER ll;
@@ -251,9 +251,9 @@
             else
                 ll.QuadPart = -500000 / 100; /* need to catch up, do a minimum wait of 0.5ms. */
-#else
+# else
             LARGE_INTEGER ll = pTimer->llNext;
-#endif
-            BOOL frc = SetWaitableTimer(pTimer->hTimer, &ll, 0, NULL, NULL, FALSE);
-            AssertMsg(frc || pTimer->u32Magic != RTTIMER_MAGIC, ("last error %d\n", GetLastError()));
+# endif
+            BOOL fRc = SetWaitableTimer(pTimer->hTimer, &ll, 0, NULL, NULL, FALSE);
+            AssertMsg(fRc || pTimer->u32Magic != RTTIMER_MAGIC, ("last error %d\n", GetLastError())); NOREF(fRc);
         }
         else
@@ -265,5 +265,5 @@
             int rc2 = GetLastError();
             RTThreadUserSignal(Thread);
-            AssertMsgFailed(("Wait on hTimer failed, rc=%d lasterr=%d\n", rc, rc2));
+            AssertMsgFailed(("Wait on hTimer failed, rc=%d lasterr=%d\n", rc, rc2)); NOREF(rc2);
             return -1;
         }
Index: trunk/src/bldprogs/VBoxCPP.cpp
===================================================================
--- trunk/src/bldprogs/VBoxCPP.cpp	(revision 62451)
+++ trunk/src/bldprogs/VBoxCPP.cpp	(revision 62452)
@@ -2607,5 +2607,5 @@
 
             bool fRc = RTStrSpaceInsert(&pThis->StrSpace, &pMacro->Core);
-            Assert(fRc);
+            Assert(fRc); NOREF(fRc);
         }
         else
@@ -4371,5 +4371,5 @@
         {
             /* Comment? */
-            unsigned ch2 = ScmStreamGetCh(pStrmInput); Assert(ch == ch2);
+            unsigned ch2 = ScmStreamGetCh(pStrmInput); Assert(ch == ch2); NOREF(ch2);
             ch = ScmStreamPeekCh(pStrmInput);
             if (ch == '*')
@@ -4403,5 +4403,5 @@
         {
             unsigned ch2 = ScmStreamGetCh(pStrmInput);
-            Assert(ch == ch2);
+            Assert(ch == ch2); NOREF(ch2);
             rcExit = RTEXITCODE_SUCCESS;
         }