Index: trunk/src/VBox/Runtime/common/crypto/RTCrStoreCertAddWantedFromFishingExpedition.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/crypto/RTCrStoreCertAddWantedFromFishingExpedition.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/common/crypto/RTCrStoreCertAddWantedFromFishingExpedition.cpp	(revision 62461)
@@ -245,3 +245,2 @@
 RT_EXPORT_SYMBOL(RTCrStoreCertAddWantedFromFishingExpedition);
 
-
Index: trunk/src/VBox/Runtime/common/crypto/digest-builtin.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/crypto/digest-builtin.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/common/crypto/digest-builtin.cpp	(revision 62461)
@@ -552,5 +552,5 @@
  * OpenSSL EVP.
  */
-    
+
 # if OPENSSL_VERSION_NUMBER >= 0x10100000
 /** @impl_interface_method{RTCRDIGESTDESC::pfnNew} */
Index: trunk/src/VBox/Runtime/common/misc/json.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/misc/json.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/common/misc/json.cpp	(revision 62461)
@@ -37,4 +37,5 @@
 #include <iprt/stream.h>
 #include <iprt/string.h>
+
 
 /*********************************************************************************************************************************
@@ -248,4 +249,5 @@
 typedef RTJSONREADERARGS *PRTJSONREADERARGS;
 
+
 /*********************************************************************************************************************************
 *   Global variables                                                                                                             *
@@ -294,5 +296,5 @@
     /*
      * In case we reached the end of the stream don't even attempt to read new data.
-     * Safety precaution for possible bugs in the parser causing out of bounds reads 
+     * Safety precaution for possible bugs in the parser causing out of bounds reads
      */
     if (pTokenizer->achBuf[pTokenizer->offBuf] == '\0')
Index: trunk/src/VBox/Runtime/common/misc/lockvalidator.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/misc/lockvalidator.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/common/misc/lockvalidator.cpp	(revision 62461)
@@ -397,5 +397,5 @@
  * Launch a simple assertion like complaint w/ panic.
  *
- * @param   SRC_POS             The source position where call is being made from. 
+ * @param   SRC_POS             The source position where call is being made from.
  * @param   pszWhat             What we're complaining about.
  * @param   ...                 Format arguments.
Index: trunk/src/VBox/Runtime/common/misc/uri.cpp
===================================================================
--- trunk/src/VBox/Runtime/common/misc/uri.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/common/misc/uri.cpp	(revision 62461)
@@ -1162,3 +1162,2 @@
 }
 
-
Index: trunk/src/VBox/Runtime/generic/createtemp-generic.cpp
===================================================================
--- trunk/src/VBox/Runtime/generic/createtemp-generic.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/generic/createtemp-generic.cpp	(revision 62461)
@@ -280,3 +280,2 @@
 RT_EXPORT_SYMBOL(RTFileOpenTemp);
 
-
Index: trunk/src/VBox/Runtime/r0drv/alloc-ef-r0drv.cpp
===================================================================
--- trunk/src/VBox/Runtime/r0drv/alloc-ef-r0drv.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/r0drv/alloc-ef-r0drv.cpp	(revision 62461)
@@ -47,7 +47,7 @@
 
 
-/*******************************************************************************
-*   Defined Constants And Macros                                               *
-*******************************************************************************/
+/*********************************************************************************************************************************
+*   Defined Constants And Macros                                                                                                 *
+*********************************************************************************************************************************/
 #if defined(DOXYGEN_RUNNING)
 # define RTR0MEM_EF_IN_FRONT
@@ -113,7 +113,7 @@
 
 
-/*******************************************************************************
-*   Header Files                                                               *
-*******************************************************************************/
+/*********************************************************************************************************************************
+*   Header Files                                                                                                                 *
+*********************************************************************************************************************************/
 #ifdef RT_OS_WINDOWS
 # include <Windows.h>
@@ -125,7 +125,7 @@
 
 
-/*******************************************************************************
-*   Structures and Typedefs                                                    *
-*******************************************************************************/
+/*********************************************************************************************************************************
+*   Structures and Typedefs                                                                                                      *
+*********************************************************************************************************************************/
 /**
  * Allocation types.
Index: trunk/src/VBox/Runtime/r0drv/linux/memobj-r0drv-linux.c
===================================================================
--- trunk/src/VBox/Runtime/r0drv/linux/memobj-r0drv-linux.c	(revision 62460)
+++ trunk/src/VBox/Runtime/r0drv/linux/memobj-r0drv-linux.c	(revision 62461)
@@ -376,5 +376,5 @@
     /*
      * Reserve the pages.
-     * 
+     *
      * Linux >= 4.5 with CONFIG_DEBUG_VM panics when setting PG_reserved on compound
      * pages. According to Michal Hocko this shouldn't be necessary anyway because
Index: trunk/src/VBox/Runtime/r3/darwin/RTCrStoreCreateSnapshotById-darwin.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/darwin/RTCrStoreCreateSnapshotById-darwin.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/r3/darwin/RTCrStoreCreateSnapshotById-darwin.cpp	(revision 62461)
@@ -58,5 +58,5 @@
     if (orc == noErr)
     {
-	CFIndex const cTrustSettings = CFArrayGetCount(hTrustSettings);
+        CFIndex const cTrustSettings = CFArrayGetCount(hTrustSettings);
         for (CFIndex i = 0; i < cTrustSettings; i++)
         {
@@ -247,3 +247,2 @@
 RT_EXPORT_SYMBOL(RTCrStoreCreateSnapshotById);
 
-
Index: trunk/src/VBox/Runtime/r3/posix/localipc-posix.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/posix/localipc-posix.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/r3/posix/localipc-posix.cpp	(revision 62461)
@@ -26,7 +26,7 @@
 
 
-/*******************************************************************************
-*   Header Files                                                               *
-*******************************************************************************/
+/*********************************************************************************************************************************
+*   Header Files                                                                                                                 *
+*********************************************************************************************************************************/
 #define LOG_GROUP RTLOGGROUP_LOCALIPC
 #include "internal/iprt.h"
@@ -60,7 +60,7 @@
 
 
-/*******************************************************************************
-*   Structures and Typedefs                                                    *
-*******************************************************************************/
+/*********************************************************************************************************************************
+*   Structures and Typedefs                                                                                                      *
+*********************************************************************************************************************************/
 /**
  * Local IPC service instance, POSIX.
@@ -1064,4 +1064,2 @@
 }
 
-
-
Index: trunk/src/VBox/Runtime/r3/win/VBoxRT-msvcr100-win32.def
===================================================================
--- trunk/src/VBox/Runtime/r3/win/VBoxRT-msvcr100-win32.def	(revision 62460)
+++ trunk/src/VBox/Runtime/r3/win/VBoxRT-msvcr100-win32.def	(revision 62461)
@@ -277,5 +277,5 @@
   ?swprintf@@YAHPAGIPBGZZ
   ?swprintf@@YAHPA_WIPB_WZZ
-  ?terminate@@YAXXZ ;fixme-causes-trouble-with-version-in-libcmt.lib; 
+  ?terminate@@YAXXZ ;fixme-causes-trouble-with-version-in-libcmt.lib;
   ?try_lock@critical_section@Concurrency@@QAE_NXZ
   ?try_lock@reader_writer_lock@Concurrency@@QAE_NXZ
@@ -1639,3 +1639,2 @@
   wscanf_s
 
-
Index: trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp	(revision 62461)
@@ -73,3 +73,2 @@
 }
 
-
Index: trunk/src/VBox/Runtime/testcase/tstRTCrX509-1.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstRTCrX509-1.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/testcase/tstRTCrX509-1.cpp	(revision 62461)
@@ -195,3 +195,2 @@
 }
 
-
Index: trunk/src/VBox/Runtime/testcase/tstRTPathGlob.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstRTPathGlob.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/testcase/tstRTPathGlob.cpp	(revision 62461)
@@ -80,3 +80,2 @@
 }
 
-
Index: trunk/src/VBox/Runtime/testcase/tstRTUdp-1.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstRTUdp-1.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/testcase/tstRTUdp-1.cpp	(revision 62461)
@@ -34,4 +34,5 @@
 #define RT_TEST_UDP_LOCAL_HOST         "localhost"
 #define RT_TEST_UDP_SERVER_PORT        52000
+
 
 /*********************************************************************************************************************************
Index: trunk/src/VBox/Runtime/testcase/tstRTVfs.cpp
===================================================================
--- trunk/src/VBox/Runtime/testcase/tstRTVfs.cpp	(revision 62460)
+++ trunk/src/VBox/Runtime/testcase/tstRTVfs.cpp	(revision 62461)
@@ -35,4 +35,5 @@
 #include <iprt/file.h>
 #include <iprt/string.h>
+
 
 /*********************************************************************************************************************************