Index: trunk/src/VBox/Runtime/r3/win/RTCrStoreCreateSnapshotById-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTCrStoreCreateSnapshotById-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTCrStoreCreateSnapshotById-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTHandleGetStandard-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTHandleGetStandard-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTHandleGetStandard-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTLogWriteDebugger-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTLogWriteDebugger-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTLogWriteDebugger-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTSystemQueryDmiString-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTSystemQueryDmiString-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTSystemQueryDmiString-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTSystemQueryOSInfo-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTSystemQueryOSInfo-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTSystemQueryOSInfo-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTSystemQueryTotalRam-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTSystemQueryTotalRam-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTSystemQueryTotalRam-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTSystemShutdown-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTSystemShutdown-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTSystemShutdown-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/RTUuidCreate-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/RTUuidCreate-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/RTUuidCreate-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/alloc-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/alloc-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/alloc-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/allocex-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/allocex-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/allocex-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/dir-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/dir-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/dir-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/direnum-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/direnum-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/direnum-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/dllmain-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/dllmain-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/dllmain-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/env-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/env-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/env-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/errvars-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/errvars-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/errvars-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2015 Oracle Corporation
+ * Copyright (C) 2011-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/fileaio-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/fileaio-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/fileaio-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/fileio-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/fileio-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/fileio-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/fs-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/fs-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/fs-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/init-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/init-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/init-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/internal-r3-win.h
===================================================================
--- trunk/src/VBox/Runtime/r3/win/internal-r3-win.h	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/internal-r3-win.h	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2013-2015 Oracle Corporation
+ * Copyright (C) 2013-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/ldrNative-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/ldrNative-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/ldrNative-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/localipc-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/localipc-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/localipc-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/mp-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/mp-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/mp-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/path-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/path-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/path-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/pipe-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/pipe-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/pipe-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/rtFileNativeSetAttributes-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/rtFileNativeSetAttributes-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/rtFileNativeSetAttributes-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2015 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/rtProcInitExePath-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/rtProcInitExePath-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/rtProcInitExePath-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/sched-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/sched-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/sched-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/semevent-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/semevent-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/semevent-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/semeventmulti-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/semeventmulti-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/semeventmulti-win.cpp	(revision 62477)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/semmutex-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/semmutex-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/semmutex-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/symlink-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/symlink-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/symlink-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/thread-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/thread-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/thread-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/thread2-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/thread2-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/thread2-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/time-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/time-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/time-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/time2-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/time2-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/time2-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/timer-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/timer-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/timer-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/tls-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/tls-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/tls-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/utf16locale-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/utf16locale-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/utf16locale-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/utf8-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/utf8-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/utf8-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/uuid-win.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/uuid-win.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/uuid-win.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/vcc100-kernel32-fakes.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/vcc100-kernel32-fakes.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/vcc100-kernel32-fakes.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/vcc100-msvcrt-fakes.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/vcc100-msvcrt-fakes.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/vcc100-msvcrt-fakes.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/vcc100-ntdll-fakes.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Runtime/r3/win/vcc100-ws2_32-fakes.cpp
===================================================================
--- trunk/src/VBox/Runtime/r3/win/vcc100-ws2_32-fakes.cpp	(revision 62461)
+++ trunk/src/VBox/Runtime/r3/win/vcc100-ws2_32-fakes.cpp	(revision 62477)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as