Index: trunk/src/VBox/VMM/VMMRC/CPUMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/CPUMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/CPUMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/CPUMRCA.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/CPUMRCA.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/CPUMRCA.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/CPUMRCPatchHlp.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/CPUMRCPatchHlp.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/CPUMRCPatchHlp.asm	(revision 62478)
@@ -4,5 +4,5 @@
 ;
 
-; Copyright (C) 2015 Oracle Corporation
+; Copyright (C) 2015-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/CSAMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/CSAMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/CSAMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/EMRCA.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/EMRCA.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/EMRCA.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/IOMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/IOMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/IOMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/MMRamRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/MMRamRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/MMRamRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/MMRamRCA.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/MMRamRCA.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/MMRamRCA.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PATMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PATMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PATMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PDMRCDevice.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PDMRCDevice.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PDMRCDevice.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PGMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PGMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PGMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PGMRCBth.h
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PGMRCBth.h	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PGMRCBth.h	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PGMRCGst.h
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PGMRCGst.h	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PGMRCGst.h	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/PGMRCShw.h
===================================================================
--- trunk/src/VBox/VMM/VMMRC/PGMRCShw.h	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/PGMRCShw.h	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/SELMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/SELMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/SELMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/TRPMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/TRPMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/TRPMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/TRPMRCHandlers.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/TRPMRCHandlersA.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/TRPMRCHandlersA.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/TRPMRCHandlersA.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRC.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRC.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRC.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRC.mac
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRC.mac	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRC.mac	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRC0.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRC0.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRC0.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRC99.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRC99.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRC99.asm	(revision 62478)
@@ -4,5 +4,5 @@
 ;
 
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRCA.asm
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRCA.asm	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRCA.asm	(revision 62478)
@@ -5,5 +5,5 @@
 
 ;
-; Copyright (C) 2006-2015 Oracle Corporation
+; Copyright (C) 2006-2016 Oracle Corporation
 ;
 ; This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/VMM/VMMRC/VMMRCDeps.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMRC/VMMRCDeps.cpp	(revision 62440)
+++ trunk/src/VBox/VMM/VMMRC/VMMRCDeps.cpp	(revision 62478)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as