Index: trunk/src/VBox/Installer/Config.kmk
===================================================================
--- trunk/src/VBox/Installer/Config.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/Config.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2015 Oracle Corporation
+# Copyright (C) 2015-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/common/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/common/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/common/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/darwin/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/darwin/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/darwin/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/freebsd/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/freebsd/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/freebsd/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/linux/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/linux/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/linux/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/linux/debian/LocalConfig.kmk
===================================================================
--- trunk/src/VBox/Installer/linux/debian/LocalConfig.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/linux/debian/LocalConfig.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/linux/rpm/LocalConfig.kmk
===================================================================
--- trunk/src/VBox/Installer/linux/rpm/LocalConfig.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/linux/rpm/LocalConfig.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/linux/testcase/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/linux/testcase/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/linux/testcase/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2006-2015 Oracle Corporation
+# Copyright (C) 2006-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/solaris/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/solaris/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/solaris/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2007-2015 Oracle Corporation
+# Copyright (C) 2007-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/solaris/VBoxISAExec.c
===================================================================
--- trunk/src/VBox/Installer/solaris/VBoxISAExec.c	(revision 62486)
+++ trunk/src/VBox/Installer/solaris/VBoxISAExec.c	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/solaris/VBoxZoneAccess.c
===================================================================
--- trunk/src/VBox/Installer/solaris/VBoxZoneAccess.c	(revision 62486)
+++ trunk/src/VBox/Installer/solaris/VBoxZoneAccess.c	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2006-2015 Oracle Corporation
+ * Copyright (C) 2006-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/InstallHelper/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/win/InstallHelper/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/win/InstallHelper/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2008-2015 Oracle Corporation
+# Copyright (C) 2008-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.cpp
===================================================================
--- trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.cpp	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.h
===================================================================
--- trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/InstallHelper/VBoxCommon.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/InstallHelper/VBoxInstallHelper.cpp
===================================================================
--- trunk/src/VBox/Installer/win/InstallHelper/VBoxInstallHelper.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/InstallHelper/VBoxInstallHelper.cpp	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2008-2015 Oracle Corporation
+ * Copyright (C) 2008-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Resources/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/win/Resources/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/win/Resources/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2010-2015 Oracle Corporation
+# Copyright (C) 2010-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Resources/dummy.cpp
===================================================================
--- trunk/src/VBox/Installer/win/Resources/dummy.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/Resources/dummy.cpp	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2011-2015 Oracle Corporation
+ * Copyright (C) 2011-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Resources/resource.h
===================================================================
--- trunk/src/VBox/Installer/win/Resources/resource.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/Resources/resource.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/win/Stub/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2009-2015 Oracle Corporation
+# Copyright (C) 2009-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/VBoxStub.cpp
===================================================================
--- trunk/src/VBox/Installer/win/Stub/VBoxStub.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/VBoxStub.cpp	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2010-2015 Oracle Corporation
+ * Copyright (C) 2010-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/VBoxStub.h
===================================================================
--- trunk/src/VBox/Installer/win/Stub/VBoxStub.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/VBoxStub.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2015 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.cpp
===================================================================
--- trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.cpp	(revision 62487)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.h
===================================================================
--- trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/VBoxStubCertUtil.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2012-2015 Oracle Corporation
+ * Copyright (C) 2012-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/Stub/resource.h
===================================================================
--- trunk/src/VBox/Installer/win/Stub/resource.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/Stub/resource.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2015 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/StubBld/Makefile.kmk
===================================================================
--- trunk/src/VBox/Installer/win/StubBld/Makefile.kmk	(revision 62486)
+++ trunk/src/VBox/Installer/win/StubBld/Makefile.kmk	(revision 62487)
@@ -5,5 +5,5 @@
 
 #
-# Copyright (C) 2009-2015 Oracle Corporation
+# Copyright (C) 2009-2016 Oracle Corporation
 #
 # This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.cpp
===================================================================
--- trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.cpp	(revision 62486)
+++ trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.cpp	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2015 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.h
===================================================================
--- trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.h	(revision 62486)
+++ trunk/src/VBox/Installer/win/StubBld/VBoxStubBld.h	(revision 62487)
@@ -5,5 +5,5 @@
 
 /*
- * Copyright (C) 2009-2015 Oracle Corporation
+ * Copyright (C) 2009-2016 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as